From 4f644704123d6614a627a91aae600dd4c6721af3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:08 +0000
Subject: [PATCH 367/2232] Remove vector manipulation from demo project


The vector support needs to be covered by our test suite, but it doesn't
need to be featured to this extent in our intro code.

---

diff --git a/demo-cxx/demo.cc b/demo-cxx/demo.cc
index efa1d1e..cd447ea 100644
--- a/demo-cxx/demo.cc
+++ b/demo-cxx/demo.cc
@@ -15,35 +15,7 @@ std::unique_ptr<ThingC> make_demo(rust::Str appname) {
 
 const std::string &get_name(const ThingC &thing) { return thing.appname; }
 
-std::unique_ptr<std::vector<uint8_t>> do_thing(SharedThing state) {
-  print_r(*state.y);
-  auto vec = std::unique_ptr<std::vector<uint8_t>>(new std::vector<uint8_t>());
-  for (uint8_t i = 0; i < 10; i++) {
-    vec->push_back(i * i);
-  }
-  return vec;
-}
-
-JsonBlob get_jb(const rust::Vec<uint8_t> &vec) {
-  JsonBlob retval;
-
-  std::cout << "incoming vec length is " << vec.size() << "\n";
-  auto vec_copy = static_cast<std::vector<uint8_t>>(vec);
-  std::cout << "vec_copy length is " << vec_copy.size() << "\n";
-  std::cout << "vec_copy[0] is " << (int)vec_copy[0] << "\n";
-
-  auto blob = std::unique_ptr<std::vector<uint8_t>>(new std::vector<uint8_t>());
-  for (uint8_t i = 0; i < 10; i++) {
-    blob->push_back(i * 2);
-  }
-
-  auto json = std::unique_ptr<std::string>(new std::string("{\"demo\": 23}"));
-
-  retval.json = std::move(json);
-  retval.blob = std::move(blob);
-
-  return retval;
-}
+void do_thing(SharedThing state) { print_r(*state.y); }
 
 } // namespace example
 } // namespace org
diff --git a/demo-cxx/demo.h b/demo-cxx/demo.h
index 9a90716..fafc474 100644
--- a/demo-cxx/demo.h
+++ b/demo-cxx/demo.h
@@ -15,12 +15,10 @@ public:
 };
 
 struct SharedThing;
-struct JsonBlob;
 
 std::unique_ptr<ThingC> make_demo(rust::Str appname);
 const std::string &get_name(const ThingC &thing);
-std::unique_ptr<std::vector<uint8_t>> do_thing(SharedThing state);
-JsonBlob get_jb(const rust::Vec<uint8_t> &vec);
+void do_thing(SharedThing state);
 
 } // namespace example
 } // namespace org
diff --git a/demo-rs/src/main.rs b/demo-rs/src/main.rs
index 8bf9926..66dfc79 100644
--- a/demo-rs/src/main.rs
+++ b/demo-rs/src/main.rs
@@ -6,19 +6,13 @@ mod ffi {
         x: UniquePtr<ThingC>,
     }
 
-    struct JsonBlob {
-        json: UniquePtr<CxxString>,
-        blob: UniquePtr<Vector<u8>>,
-    }
-
     extern "C" {
         include!("demo-cxx/demo.h");
 
         type ThingC;
         fn make_demo(appname: &str) -> UniquePtr<ThingC>;
         fn get_name(thing: &ThingC) -> &CxxString;
-        fn do_thing(state: SharedThing) -> UniquePtr<Vector<u8>>;
-        fn get_jb(v: &Vec<u8>) -> JsonBlob;
+        fn do_thing(state: SharedThing);
     }
 
     extern "Rust" {
@@ -37,24 +31,9 @@ fn main() {
     let x = ffi::make_demo("demo of cxx::bridge");
     println!("this is a {}", ffi::get_name(x.as_ref().unwrap()));
 
-    let vec = ffi::do_thing(ffi::SharedThing {
+    ffi::do_thing(ffi::SharedThing {
         z: 222,
         y: Box::new(ThingR(333)),
         x,
     });
-
-    println!("vec length = {}", vec.as_ref().unwrap().size());
-    for (i, v) in vec.as_ref().unwrap().into_iter().enumerate() {
-        println!("vec[{}] = {}", i, v);
-    }
-
-    let mut rv: Vec<u8> = Vec::new();
-    for _ in 0..1000 {
-        rv.push(33);
-    }
-    let jb = ffi::get_jb(&rv);
-    println!("json: {}", jb.json.as_ref().unwrap());
-    for (i, v) in jb.blob.as_ref().unwrap().into_iter().enumerate() {
-        println!("jb.blob[{}] = {}", i, v);
-    }
 }

